Create Location with Sublocations
curl --request POST \
--url https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/locations \
--header 'Content-Type: application/json' \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"LevelId": "98329f39-e263-484d-8fa7-e951fcddb9c1",
"name": "test location add",
"ParentId": "6c826259-28ea-4e16-8869-b16cbc147633",
"memberIds": [
"dfea8b8a-5b22-4668-b68d-dc641eb3a101",
"e25dd448-7ae7-4588-8767-7e1a316547e5"
],
"description": "location description",
"isQREnable": true,
"attachments": [
"https://cdn.xenia.team/.../screenshot-1.png",
"https://cdn.xenia.team/.../screenshot-2.png"
],
"Sublocations": [
{
"name": "sub location name",
"description": ""
}
]
}
'import requests
url = "https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/locations"
payload = {
"LevelId": "98329f39-e263-484d-8fa7-e951fcddb9c1",
"name": "test location add",
"ParentId": "6c826259-28ea-4e16-8869-b16cbc147633",
"memberIds": ["dfea8b8a-5b22-4668-b68d-dc641eb3a101", "e25dd448-7ae7-4588-8767-7e1a316547e5"],
"description": "location description",
"isQREnable": True,
"attachments": ["https://cdn.xenia.team/.../screenshot-1.png", "https://cdn.xenia.team/.../screenshot-2.png"],
"Sublocations": [
{
"name": "sub location name",
"description": ""
}
]
}
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-key': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
LevelId: '98329f39-e263-484d-8fa7-e951fcddb9c1',
name: 'test location add',
ParentId: '6c826259-28ea-4e16-8869-b16cbc147633',
memberIds: ['dfea8b8a-5b22-4668-b68d-dc641eb3a101', 'e25dd448-7ae7-4588-8767-7e1a316547e5'],
description: 'location description',
isQREnable: true,
attachments: [
'https://cdn.xenia.team/.../screenshot-1.png',
'https://cdn.xenia.team/.../screenshot-2.png'
],
Sublocations: [{name: 'sub location name', description: ''}]
})
};
fetch('https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "9300f92a-299b-4a55-9953-e96bc4a6954e",
"workspaceId": "cb363f7e-c52a-4478-911d-f6a6f791090e",
"name": "test location add",
"description": "location description",
"slugCode": "test-location-add",
"Members": [],
"Sublocations": [],
"Level": {
"id": "98329f39-e263-484d-8fa7-e951fcddb9c1",
"title": "Store",
"isSite": true
},
"ParentLocation": {
"id": "6c826259-28ea-4e16-8869-b16cbc147633",
"name": "site a2"
}
},
"meta": {}
}Locations
Create Location
POST
/
api
/
v1
/
mgt
/
workspaces
/
{workspaceId}
/
locations
Create Location with Sublocations
Path Parameters
UUID of the workspace.
Body
application/json
Response
Location created successfully.
⌘I